%define prefix %{_prefix}
%define ver 1.0.9
%define rel 1

Summary: GNOME http client library.
Name: libghttp
Version: %{ver}
Release: %{rel}
Copyright: LGPL
Group: System Environment/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/sources/libghttp/libghttp-%{PACKAGE_VERSION}.tar.gz
BuildRoot: /var/tmp/ghttp-%{PACKAGE_VERSION}-root
BuildRequires: libtool >= 1.3.5
Docdir: %{prefix}/doc
URL: http://www.gnome.org/

%ifarch ia64
  %define stdlib lib/ia64l32
  %define stdlib64 lib/ia64l64
  %define liblink ../../..
  %define PKG64 %{name}-%{version}-ia64l64
  %define DIRS . %{_builddir}/%{PKG64}/%{name}-%{version}
  %define DEFCCIA cc
  %define DEFCC %{DEFCCIA}
%else
  %define stdlib lib
  %define liblink ../..
  %define DIRS .
  %define DEFCC cc
%endif

%description
Library for making HTTP 1.1 requests.

%package devel
Summary: GNOME http client development
Group: Development/Libraries
Requires: libghttp

%description devel
Libraries and includes files you can use for libghttp development

%changelog
* Mon Oct 22 2001 David Clissold <cliss@austin.ibm.com>
- No functional change.  Modify SPEC for compat w/ newer libtool.

* Thu Aug 23 2001 Dan McNichol <mcnichol@austin.ibm.com>
- Update to version 1.0.9.

* Thu Mar 22 2001 Marc Stephenson <marc@austin.ibm.com>
- Build both 32- and 64-bit libraries

* Tue Mar 06 2001 Marc Stephenson <marc@austin.ibm.com>
- Update to libtool 1.3.5a
- Add logic for default compiler

* Fri Feb 16 2001 aixtoolbox <aixtoollbox-l@austin.ibm.com>
- Account for different standard lib location in IA64 32-bit ABI

* Fri Oct 27 2000 pkgmgr <pkgmgr@austin.ibm.com>
- Modify for AIX Freeware distribution


* Fri Aug 13 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.4

* Thu Mar 18 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.2

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.0

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.2

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- built with gnome-libs 0.99.2 

%prep
%ifarch ia64
%setup -q -c -n %{PKG64}
cd %{name}-%{version}
%endif
%setup -q

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if [[ "$CC" != "gcc" ]]
then
%ifarch ia64
      if [[ "$CC" = "bcc" ]]
      then
          export CC="bcc -Nilp32"
          export CC64=bcc
      else
          export CC64="$CC -q64"
      fi
%endif
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
fi
for dir in %{DIRS}; do cd $dir; if [[ $dir != "." ]]; then export CC="$CC64"; fi

libtoolize --force
aclocal
autoconf
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix}
make
done

%install
rm -rf $RPM_BUILD_ROOT

# Potential loop if building 64-bit libraries for IA64
for dir in %{DIRS}; do cd $dir; 
if [[ $dir = "." ]]; then INSTDIR=%{_prefix}; else INSTDIR=/%{PKG64}%{_prefix};
fi
make prefix=$RPM_BUILD_ROOT$INSTDIR install
done

(cd $RPM_BUILD_ROOT

 mkdir -p usr/include
 cd usr/include
 ln -sf ../..%{prefix}/include/* .
 cd -

 mkdir -p usr/%{stdlib}
 cd usr/%{stdlib}
 ln -sf %{liblink}%{prefix}/lib/* .
 cd -
)


%ifarch ia64
# Add 64-bit libs to main install tree
mkdir -p $RPM_BUILD_ROOT%{_prefix}/%{stdlib64}
mv ${RPM_BUILD_ROOT}/%{PKG64}%{_prefix}/lib/* $RPM_BUILD_ROOT%{_prefix}/%{stdlib64}

# Add system links
cd $RPM_BUILD_ROOT
mkdir -p usr/%{stdlib64}
cd usr/%{stdlib64}
ln -sf %{liblink}%{prefix}/%{stdlib64}/* .
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README doc/ghttp.html
%ifarch ia64
%{prefix}/lib/lib*.so*
/usr/%{stdlib}/lib*.so*
%endif
%{prefix}/lib/libghttp.a
/usr/%{stdlib}/libghttp.a
%ifarch ia64
%{_prefix}/%{stdlib64}/lib*
/usr/%{stdlib64}/lib*
%endif

%files devel
%defattr(-, root, root)
%{prefix}/include/*
/usr/include/*
%{prefix}/lib/libghttp.la
/usr/%{stdlib}/libghttp.la
